Bug 1294197 - 4.4.0-0.rc6.git1.1.fc24.aarch64 does not boot on Mustang
4.4.0-0.rc6.git1.1.fc24.aarch64 does not boot on Mustang
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
aarch64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Mark Salter
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-25 05:25 EST by Itaru Kitayama
Modified: 2016-05-27 10:25 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 10:25:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Itaru Kitayama 2015-12-25 05:25:46 EST
Description of problem:
One of the recent Rawhide kernel does not boot on Mustang

Version-Release number of selected component (if applicable):


How reproducible:
100% of time.

Steps to Reproduce:
1.
2.
3.

Actual results:

EFI stub: Booting Linux Kernel...
EFI stub: Using DTB from configuration table
EFI stub: Exiting boot services and installing virtual address map...
XhcClearBiosOwnership: called to clear BIOS ownership
XhcClearBiosOwnership: called to clear BIOS ownership
L3c Cache: 8MB

Expected results:

Entering into the Linux boot process starting from a line:
Booting Linux on physical CPU 0x0

Additional info:
The kernel and modules are built using fedpkg, older release f23
worked.
Comment 1 Itaru Kitayama 2015-12-28 23:54:44 EST
I am using the EFI v2.40. Is this version something expected to work with
the f24 or later kernels?
Comment 2 Andrew Jones 2016-01-04 09:35:51 EST
4.4.0-0.rc6.git1.1.fc24.aarch64 boots fine for me (with f23 userspace)
My firmware is a pretty old build though

TianoCore 1.1.0 UEFI 2.4.0 Apr 22 2015 11:30:25
CPU: APM ARM 64-bit Potenza Rev A3 2400MHz PCP 2400MHz
     32 KB ICACHE, 32 KB DCACHE
     SOC 2000MHz IOBAXI 400MHz AXI 250MHz AHB 200MHz GFC 125MHz
Board: X-Gene Mustang Board
Slimpro FW:
        Ver: 2.1
Comment 3 Itaru Kitayama 2016-01-04 16:51:16 EST
4.4.0-0.rc6.git1.1.fc24.aarch64 doesn't boot on the Mustang I am using.

The firmware is a month older than yours (2015 March build).
Comment 4 Itaru Kitayama 2016-01-04 17:23:19 EST
Excerpt from dmesg just for the reference

[    0.000000] EFI v2.40 by X-Gene Mustang Board EFI Mar 13 2015 14:20:53
Comment 5 Itaru Kitayama 2016-01-14 20:32:15 EST
With the below TianoCore and Slimpro, I was able to boot an f23 kernel, 4.3.3-300.fc23.aarch64.

TianoCore 1.1.0 UEFI 2.4.0 Aug  4 2015 16:56:06
CPU: APM ARM 64-bit Potenza Rev A3 2400MHz PCP 2400MHz
     32 KB ICACHE, 32 KB DCACHE
     SOC 2000MHz IOBAXI 400MHz AXI 250MHz AHB 200MHz GFC 125MHz
Board: X-Gene Mustang Board
Slimpro FW:
    Ver: 2.3 (build 2014/12/16)
    PMD: 950 mV
    SOC: 950 mV
Comment 6 Josh Boyer 2016-05-27 10:15:29 EDT
Is this still an issue with 4.5.y?
Comment 7 Itaru Kitayama 2016-05-27 10:23:40 EDT
No, 4.5.0-302.fc23.aarch64 boots fine with updated F/W.
Comment 8 Josh Boyer 2016-05-27 10:25:00 EDT
Thank you.

Note You need to log in before you can comment on or make changes to this bug.